##
##  hexcurse.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         hexcurse
Summary:      Binary Hexadecimal Editor
URL:          http://jewfish.net/description.php?title=HexCurse
Vendor:       Jewfish.net
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Editor
License:      GPL
Version:      1.55
Release:      20080101

#   list of sources
Source0:      http://jewfish.net/downloads/hexcurse-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, ncurses, gcc
PreReq:       OpenPKG, openpkg >= 20160101, ncurses

%description
     Hexcurse is a versatile ncurses-based hex editor written in C
     that provides the user with many features. It currently supports
     searching, hex and decimal address output, jumping to specified
     locations in the file, an "undo" command, "bolded" modifications,
     and quick keyboard shortcuts to commands.

%track
    prog hexcurse = {
        disabled
        comment   = "rse: hexcurse disappeared from the Internet"
        version   = %{version}
        url       = http://jewfish.net/downloads/
        regex     = hexcurse-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %{l_shtool} subst \
        -e 's;char \*alloca;void *alloca;' \
        src/getopt.c

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags ncurses}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

